## ros-rolling-bond 4.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(bond)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/Constants.msg"
  "msg/Status.msg"
  DEPENDENCIES std_msgs builtin_interfaces
  ADD_LINTER_TESTS
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(rosidl_default_runtime)
ament_package()

## ros-rolling-bond 3.0.1

=== debian/changelog ===
ros-rolling-bond (3.0.1-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 00:00:00 -0000

ros-rolling-bond (3.0.0-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 00:00:00 -0000

ros-rolling-bond (2.0.0-3focal) focal; urgency=high

  * Ros2 devel (#54 <https://github.com/ros/bond_core/issues/54>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: Karsten Knese, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Nov 2020 00:00:00 -0000

ros-rolling-bond (1.8.3-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Aug 2018 00:00:00 -0000

ros-rolling-bond (1.8.2-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 00:00:00 -0000

ros-rolling-bond (1.8.1-3focal) focal; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 00:00:00 -0000

ros-rolling-bond (1.8.0-3focal) focal; urgency=high

  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-rolling-bond (1.7.19-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-rolling-bond (1.7.18-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-rolling-bond (1.7.17-3focal) focal; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 00:00:00 -0000

ros-rolling-bond (1.7.16-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Oct 2014 00:00:00 -0000

ros-rolling-bond (1.7.15-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Oct 2014 00:00:00 -0000

ros-rolling-bond (1.7.14-3focal) focal; urgency=high

  * Export architecture_independent flag in package.xml #4 <https://github.com/ros/bond_core/pull/4>
  * Update maintainer field
  * Contributors: Esteve Fernandez, Scott K Logan, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 08 May 2014 00:00:00 -0000

ros-rolling-bond (1.7.13-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-rolling-bond (1.7.12-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-rolling-bond (1.7.11-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 13 Mar 2013 00:00:00 -0000

ros-rolling-bond (1.7.10-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-rolling-bond (1.7.9-3focal) focal; urgency=high

  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Dec 2012 00:00:00 -0000

ros-rolling-bond (1.7.8-3focal) focal; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2012 00:00:00 -0000

ros-rolling-bond (1.7.7-3focal) focal; urgency=high

  * Updated url tags in package.xml's  #1 <https://github.com/ros/bond_core/pull/1>
  * Contributors: William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2012 00:00:00 -0000

ros-rolling-bond (1.7.6-3focal) focal; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 30 Oct 2012 00:00:00 -0000

ros-rolling-bond (1.7.5-3focal) focal; urgency=high

  * clean up package.xml files
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Sat, 27 Oct 2012 00:00:00 -0000

ros-rolling-bond (1.7.4-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 06 Oct 2012 00:00:00 -0000

ros-rolling-bond (1.7.3-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 00:19:00 -0000

ros-rolling-bond (1.7.2-3focal) focal; urgency=high

  * add the missing catkin dependency
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 00:06:00 -0000

ros-rolling-bond (1.7.1-3focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 19:00:00 -0000

ros-rolling-bond (1.7.0-3focal) focal; urgency=high

  * catkinize the package and bump to 1.7.0 even though it is not tagged yet
  * Modified bond's state machine to handle "alive" messages from the sibling when already dead.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036189
  * Added global "bond_disable_heartbeat_timeout" parameter
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036106
  * The bond state machine more gracefully handles excessive requests to die.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4032653
  * Moving bond into common
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4032634
  * Contributors: Vincent Rabaud, sglaser

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 16:51:00 -0000

=== debian/control ===
Source: ros-rolling-bond
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/bond
Standards-Version: 3.9.2

Package: ros-rolling-bond
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: A bond allows two processes, A and B, to know when the other has terminated, either cleanly or by crashing.
 The bond remains connected until it is either broken explicitly or until a heartbeat times out.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-bond//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-bond 4.0.0

=== debian/changelog ===
ros-rolling-bond (4.0.0-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 01 Sep 2022 07:00:00 -0000

ros-rolling-bond (3.0.2-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 01 Apr 2022 07:00:00 -0000

ros-rolling-bond (3.0.1-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 08:00:00 -0000

ros-rolling-bond (3.0.0-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 08:00:00 -0000

ros-rolling-bond (2.0.0-3jammy) jammy; urgency=high

  * Ros2 devel (#54 <https://github.com/ros/bond_core/issues/54>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: Karsten Knese, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Nov 2020 08:00:00 -0000

ros-rolling-bond (1.8.3-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Aug 2018 07:00:00 -0000

ros-rolling-bond (1.8.2-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 07:00:00 -0000

ros-rolling-bond (1.8.1-3jammy) jammy; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 07:00:00 -0000

ros-rolling-bond (1.8.0-3jammy) jammy; urgency=high

  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-rolling-bond (1.7.19-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-rolling-bond (1.7.18-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-rolling-bond (1.7.17-3jammy) jammy; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 07:00:00 -0000

ros-rolling-bond (1.7.16-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-rolling-bond (1.7.15-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Oct 2014 07:00:00 -0000

ros-rolling-bond (1.7.14-3jammy) jammy; urgency=high

  * Export architecture_independent flag in package.xml #4 <https://github.com/ros/bond_core/pull/4>
  * Update maintainer field
  * Contributors: Esteve Fernandez, Scott K Logan, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 08 May 2014 07:00:00 -0000

ros-rolling-bond (1.7.13-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-rolling-bond (1.7.12-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-rolling-bond (1.7.11-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-rolling-bond (1.7.10-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-rolling-bond (1.7.9-3jammy) jammy; urgency=high

  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Dec 2012 08:00:00 -0000

ros-rolling-bond (1.7.8-3jammy) jammy; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2012 08:00:00 -0000

ros-rolling-bond (1.7.7-3jammy) jammy; urgency=high

  * Updated url tags in package.xml's  #1 <https://github.com/ros/bond_core/pull/1>
  * Contributors: William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2012 08:00:00 -0000

ros-rolling-bond (1.7.6-3jammy) jammy; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 30 Oct 2012 07:00:00 -0000

ros-rolling-bond (1.7.5-3jammy) jammy; urgency=high

  * clean up package.xml files
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Sat, 27 Oct 2012 07:00:00 -0000

ros-rolling-bond (1.7.4-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 06 Oct 2012 07:00:00 -0000

ros-rolling-bond (1.7.3-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 07:19:00 -0000

ros-rolling-bond (1.7.2-3jammy) jammy; urgency=high

  * add the missing catkin dependency
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 07:06:00 -0000

ros-rolling-bond (1.7.1-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 02:00:00 -0000

ros-rolling-bond (1.7.0-3jammy) jammy; urgency=high

  * catkinize the package and bump to 1.7.0 even though it is not tagged yet
  * Modified bond's state machine to handle "alive" messages from the sibling when already dead.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036189
  * Added global "bond_disable_heartbeat_timeout" parameter
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036106
  * The bond state machine more gracefully handles excessive requests to die.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4032653
  * Moving bond into common
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4032634
  * Contributors: Vincent Rabaud, sglaser

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 23:51:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Michael Carroll <michael@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
 Homepage: http://www.ros.org/wiki/bond
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
